+++
linkTitle = 'Configuration'
title = 'Configuring your Mail Client'
date = 2024-04-25
+++

This article is an adapted version of [this](https://docs.mailcow.email/client/client-manual/) official Mailcow documentation.

## Mailbox

If you are the proud owner of an @stardust.foo E-Mail address, here's how you can configure it.

| Service | Encryption | Host               | Port | Username                  |
|:-------:|:----------:|:------------------:|:----:|:-------------------------:|
|  IMAP   |  STARTTLS  | mail.lunivity.com  | 143  | `username@stardust.foo` |
|  SMTP   |  STARTTLS  | mail.lunivity.com  | 587  | `username@stardust.foo` |

Please choose the "plain" password option (or "Normal Password" in Thunderbird) for authentication.
Despite the name, your password won't be sent as plain text to the server, as authentication requires TLS encryption.

## Contacts and calendars

Here are SOGo's default CalDAV and CardDAV URLs:

- **CalDAV**: `https://mail.lunivity.com/SOGo/dav/username@stardust.foo/Calendar/personal/`
- **CardDAV**: `https://mail.lunivity.com/SOGo/dav/username@stardust.foo/Contacts/personal/`

Some apps might need this URL: `https://mail.lunivity.com/SOGo/dav/`, or the full calendar path, which you can find and copy from within SOGo.
